package com.ruoyi.jarvis.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商品错误提示对象 prd_error_tip
 * 
 * @author ruoyi
 * @date 2024-01-01
 */
public class PrdErrorTip extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 错误代码 */
    @Excel(name = "错误代码")
    private String errCode;

    /** 错误子代码 */
    @Excel(name = "错误子代码")
    private String errSubCode;

    /** 错误消息 */
    @Excel(name = "错误消息")
    private String errMsg;

    /** 错误内容 */
    @Excel(name = "错误内容")
    private String content;

    /** 状态 */
    @Excel(name = "状态", readConverterExp = "0=禁用,1=启用")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setErrCode(String errCode) 
    {
        this.errCode = errCode;
    }

    public String getErrCode() 
    {
        return errCode;
    }

    public void setErrSubCode(String errSubCode) 
    {
        this.errSubCode = errSubCode;
    }

    public String getErrSubCode() 
    {
        return errSubCode;
    }

    public void setErrMsg(String errMsg) 
    {
        this.errMsg = errMsg;
    }

    public String getErrMsg() 
    {
        return errMsg;
    }

    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("errCode", getErrCode())
            .append("errSubCode", getErrSubCode())
            .append("errMsg", getErrMsg())
            .append("content", getContent())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
